nu = linspace(-1,1,1001)*3;
nu1 = -0.5; nu2 = 0.5;
dnu = abs(nu1-nu2);
k = dnu/2;
%lw = dnu/2*sqrt(3);
Gamma = 0.2;

% two term specific
q = sqrt(4*k^2-(nu1-nu2)^2)/2;
nu0 = (nu1+nu2)/2;
S1 = (1-k/q)/2;
S2 = (1+k/q)/2;
L1 = -Gamma-k-q+1i*nu0;
L2 = -Gamma-k+q+1i*nu0;
f0 = @(S,L,nu)-real(S./(L-1i*nu));
y0 = f0(S1,L1,nu)+f0(S2,L2,nu);

% two-term general
f1 = @(S,L,nu)-(real(S)*real(L)-imag(S)*(nu-imag(L)))./(real(L)^2+(nu-imag(L)).^2);
y1 = f1(S1,L1,nu) + f1(S2,L2,nu);

% one-term specific
zeta = Gamma+k+1i*(nu-nu0);
y2 = (zeta+k)./(q^2-zeta.^2);
y2 = -real(y2);

% Bloch/McConnell version I
a = Gamma + 1i*(nu-nu1);
b = Gamma + 1i*(nu-nu2);
y3 = ((a+b)/2+2*k)./(a.*b+k*(a+b));
y3 = real(y3);

% Bloch/McConnell version II
zeta1 = Gamma + k + 1i*(nu-nu1);
zeta2 = Gamma + k + 1i*(nu-nu2);
y4 = ((zeta1+zeta2)/2+k)./(zeta1.*zeta2-k^2);
y4 = real(y4);

% one-term real
xi = nu-nu0;
a = 2*k+Gamma;
b = xi;
c = 2*k*Gamma+Gamma^2+(dnu/2).^2-xi.^2;
d = 2*(k+Gamma)*xi;
y5 = (a.*c+b.*d)./(c.^2+d.^2);

plot(nu,y0,nu,y1,nu,y2,nu,y3,nu,y4,nu,y5,'.-');
